stars = {}
dist = 0
function stars.generateSystems()
  table.insert(stars,{x=sW/2,y=sH/2,isActualPosition=true, selected=false, visited=true, starName="Première étoile", starType="Naine Blanche", planets={}})
	for i=1, 8000 do
		starNameRdm = math.random(2,11);
		if starNameRdm == 2 then
			starName= "Aclaimia"
		elseif starNameRdm == 3 then
			starName= "Gespophus"
		elseif starNameRdm == 4 then
			starName= "Eshov"
		elseif starNameRdm == 5 then
			starName= "Osperon"
		elseif starNameRdm == 6 then
			starName= "Durus"
		elseif starNameRdm == 7 then
			starName= "Joutera"
		elseif starNameRdm == 8 then
			starName= "Glehecarro"
		elseif starNameRdm == 9 then
			starName= "Blamastea"
		elseif starNameRdm == 10 then
			starName= "Strerth 7EU"
		elseif starNameRdm == 11 then
			starName= "Blippe H"
		end
		
		
		starTypeRdm = math.random(1,8);
		if starTypeRdm == 1 then
			starType= "Naine rouge"
		elseif starTypeRdm == 2 then
			starType= "Naine jaune"
		elseif starTypeRdm == 3 then
			starType= "Géante rouge"
		elseif starTypeRdm == 4 then
			starType= "Géante bleue"
		elseif starTypeRdm == 5 then
			starType= "Naine blanche"
		elseif starTypeRdm == 6 then
			starType= "Naine noire"
		elseif starTypeRdm == 7 then
			starType= "Étoile à neutrons"
		elseif starTypeRdm == 8 then
			starType= "Trou noir"
		end
		
		table.insert(stars,{x=math.random(-10000,10000),y=math.random(-10000,10000), isActualPosition=false, selected=false, visited=false, starName=starName, starType=starType, planets={}}) 
		
		for j=1, math.random(1,4) do 
			Type = math.random(1,2);
			if Type == 1 then
				planetType="tellurique"
			elseif Type == 2 then
				planetType="gazeuse"
			end
      if planetType == "tellurique" then
        advancedTypeTellurique = math.random(1,3)
        if advancedTypeTellurique == 1 then
          planetAdvancedType="silicate"
        elseif advancedTypeTellurique == 2 then
          planetAdvancedType="metallique"
          elseif advancedTypeTellurique == 3 then
          planetAdvancedType="carbone"
        end
      end
			if j==1 then
				Lettre="b"
			elseif j==2 then
				Lettre="c"
			elseif j==3 then
				Lettre="d"
			elseif j==4 then
				Lettre="e"
			end
      
			planets= {}
      if planetType=="tellurique" then
        table.insert(stars[i].planets,{x=0,y=0,planetName=stars[i].starName.." "..Lettre,planetType=planetType,planetAdvancedType=planetAdvancedType,selected=false,isActualPosition=false, texture= nil})
      elseif planetType=="gazeuse" then
        table.insert(stars[i].planets,{x=0,y=0,planetName=stars[i].starName.." "..Lettre,planetType=planetType,selected=false,isActualPosition=false, texture= nil})
      end
		end
	end
end

function stars.travel()
  for i=1, #stars do
    if stars[i].isActualPosition then
      stars[i].isActualPosition = false
    elseif stars[i].selected then
      selectedx = stars[i].x
      selectedy = stars[i].y
      camera.angle = math.angle(stars[i].x,stars[i].y,sW/2 + camera.x,sH/2 + camera.y)
      stars[i].isActualPosition = true
      stars[i].selected = false
      camera.needsmove = true
    end
  end
end

function stars.load()
  stars.generateSystems()
end

function stars.update(dt)
  if camera.needsmove then
    camera.dist = math.dist(selectedx,selectedy,sW/2 + camera.x ,sH/2 + camera.y)
    if camera.dist > 5 then
      camera:move(-math.cos(camera.angle),-math.sin(camera.angle))
    else
      camera.needsmove = false
    end
  end
end

function stars.draw()
  for i = 1, #stars do 
    if stars[i].isActualPosition then
      love.graphics.setColor(255,0,0,255)
    elseif stars[i].selected then
      love.graphics.setColor(0,255,0,255)
    elseif not stars[i].selected and not stars[i].isActualPosition then
      love.graphics.setColor(0,0,255,255)
    end
    love.graphics.circle("fill", stars[i].x, stars[i].y, 10)
	end
end

function stars.mousepressed(x,y,button)
  if button == 1 then
    for i=1, #stars do
      if x > stars[i].x - 10 - camera.x and x < stars[i].x + 10 - camera.x and y > stars[i].y -10 - camera.y and y < stars[i].y + 10 - camera.y then
        for j=1, #stars do
          stars[j].selected = false
        end
        stars[i].selected = true
      end
    end
  end
end

return stars