ui.stars = {}

function ui.stars.load()
  ui.stars.travelBtn = gooi.newButton({text="travel"}):setGroup("stars")
  ui.stars.travelBtn:setVisible(false)
  ui.stars.travelBtn:onRelease(function()
    stars.travel()
  end)
  
  ui.stars.lblStarName = gooi.newLabel({text="planetName"}):setGroup("stars")
  ui.stars.lblStarName:setVisible(false)
end

function ui.stars.update(dt)
  mx,my = love.mouse.getPosition()
  for i=1, #stars do
    if stars[i].selected then
      ui.stars.travelBtn:setVisible(true)
      ui.stars.travelBtn.x = stars[i].x
      ui.stars.travelBtn.y = stars[i].y
    end
    if not stars[i].selected and  mx > stars[i].x - 10 - camera.x and mx < stars[i].x + 10 - camera.x and my > stars[i].y -10 - camera.y and my < stars[i].y + 10 - camera.y then
      ui.stars.lblStarName:setVisible(true)
      ui.stars.lblStarName:setText(stars[i].starName)
      ui.stars.lblStarName.x = stars[i].x
      ui.stars.lblStarName.y = stars[i].y
    elseif stars[i].selected and  mx > stars[i].x - 10 and mx < stars[i].x + 10 and my > stars[i].y -10 and my < stars[i].y + 10 then
      ui.stars.lblStarName:setVisible(false)
    end
  end
end
